Bug 1294696 - [abrt] inkscape: _g_log_abort(): inkscape killed by SIGTRAP
[abrt] inkscape: _g_log_abort(): inkscape killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:493031ea2f734b515e5c26cd9f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 13:43 EST by Peter Ludikovsky
Modified: 2016-12-20 12:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:27:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.48 KB, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: core_backtrace (4.36 KB, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: dso_list (14.13 KB, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: environ (1.64 KB, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-29 13:43 EST, Peter Ludikovsky
no flags Details
File: maps (65.14 KB, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details
File: mountinfo (3.34 KB, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details
File: open_fds (712 bytes, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-12-29 13:44 EST, Peter Ludikovsky
no flags Details

  None (edit)
Description Peter Ludikovsky 2015-12-29 13:43:46 EST
Version-Release number of selected component:
inkscape-0.91-15.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        inkscape /home/peter/ownCloud/eBooks/MITLockGuide.pdf
crash_function: _g_log_abort
executable:     /usr/bin/inkscape
global_pid:     9638
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _g_log_abort at gmessages.c:324
 #7 _XEventsQueued at xcb_io.c:364
 #8 XPending at Pending.c:55
 #9 gdk_check_xpending at gdkevents-x11.c:159
 #10 gdk_event_check at gdkevents-x11.c:2400
 #11 g_main_context_check at gmain.c:3681
 #14 gtk_main at gtkmain.c:1268
 #15 sp_main_gui at main.cpp:1075
 #17 _start
Comment 1 Peter Ludikovsky 2015-12-29 13:43:53 EST
Created attachment 1110298 [details]
File: backtrace
Comment 2 Peter Ludikovsky 2015-12-29 13:43:54 EST
Created attachment 1110299 [details]
File: cgroup
Comment 3 Peter Ludikovsky 2015-12-29 13:43:55 EST
Created attachment 1110300 [details]
File: core_backtrace
Comment 4 Peter Ludikovsky 2015-12-29 13:43:57 EST
Created attachment 1110301 [details]
File: dso_list
Comment 5 Peter Ludikovsky 2015-12-29 13:43:58 EST
Created attachment 1110302 [details]
File: environ
Comment 6 Peter Ludikovsky 2015-12-29 13:43:59 EST
Created attachment 1110303 [details]
File: limits
Comment 7 Peter Ludikovsky 2015-12-29 13:44:01 EST
Created attachment 1110304 [details]
File: maps
Comment 8 Peter Ludikovsky 2015-12-29 13:44:03 EST
Created attachment 1110305 [details]
File: mountinfo
Comment 9 Peter Ludikovsky 2015-12-29 13:44:04 EST
Created attachment 1110306 [details]
File: namespaces
Comment 10 Peter Ludikovsky 2015-12-29 13:44:05 EST
Created attachment 1110307 [details]
File: open_fds
Comment 11 Peter Ludikovsky 2015-12-29 13:44:07 EST
Created attachment 1110308 [details]
File: proc_pid_status
Comment 12 Peter Ludikovsky 2015-12-29 13:44:08 EST
Created attachment 1110309 [details]
File: var_log_messages
Comment 13 C. Applegate 2016-05-03 11:33:42 EDT
Similar problem has been detected:

Crash on using "Trace Pixel Art" tool.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        inkscape Star.xcf
crash_function: _g_log_abort
executable:     /usr/bin/inkscape
global_pid:     25126
kernel:         4.4.6-301.fc23.x86_64
package:        inkscape-0.91-15.fc23
reason:         inkscape killed by SIGTRAP
runlevel:       N 3
type:           CCpp
uid:            501
Comment 14 Fedora End Of Life 2016-11-24 09:34:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:27:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.